typedef unsigned char byte;

typedef struct PASSWORD
{	struct PASSWORD* Next;
	char	Data[1];
}	PSWD;

enum{fRecursive=2,fDelete=1};

typedef struct GBT_DIR
{	byte	Flags;
	byte	nPswd;
	byte	balance, cmpres;
	struct GBT_DIR	*RLINK, *LLINK;
	char	Key[1];
}	DIRNODE;

typedef	void gbt_treate( DIRNODE* node );

extern "C" {
DIRNODE* gbt_insert( DIRNODE** Head, DIRNODE* New );
void	gbt_beat( DIRNODE* Head, gbt_treate* func );
DIRNODE*	gbt_find( DIRNODE* Head, const char* szKey );
}

extern DIRNODE*	DirListHead;
extern PSWD	*FirstPswd, **pLastPswd;
extern jmp_buf		JmpOnError;
extern short unsigned	nDir;
extern unsigned char nPswd;
extern unsigned char nMaxPswd;

extern void AddPathToList( char* LocCurPath, const char* szPath, byte Flags );
extern void ScanDir( DIRNODE* Node);


